<?php
  $x="18.2";
  var_dump($x);
  settype($x,"float"); // transtypage explicite
  var_dump($x);
  
  $y="8.2texte";
  var_dump($y);
  settype($y,"float"); // transtypage explicite
  var_dump($y);
?>